%define	modname	memcached
%define	dirname	%{modname}
%define	soname	%{modname}.so
%define	inifile	A91_%{modname}.ini

Summary:	A libmemcached library interface for PHP
Name:		php-%{modname}
Version:	3.0.4
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/memcached
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Patch0:		memcached-2.2.0-build.patch
BuildRequires:	pkgconfig(libmemcached) >= 1.0.17
BuildRequires:	php-devel >= 3:7.0.0
BuildRequires:	dos2unix
BuildRequires:	php-igbinary
Obsoletes:	php-memcache < 3.0.9
Requires:	php-session
Requires:	php > 3:7.0.0
Requires:	php-igbinary

%description
This extension uses libmemcached library to provide API for communicating with
memcached servers.

%prep
%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

# Fix FTBFS with libmemcached >= 1.0.17
# https://github.com/php-memcached-dev/php-memcached/issues/69#issuecomment-17051990
echo 'typedef const struct memcached_server_st *memcached_server_instance_st;' \
	>>php_libmemcached_compat.h

%build
%serverbuild
%autopatch -p1

phpize
%configure2_5x --with-libdir=%{_lib} \
	--enable-%{modname}=shared,%{_prefix} \
	--with-zlib-dir=%{_prefix} \
	--enable-memcached-json \
	--enable-memcached-igbinary

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc CREDITS ChangeLog memcached-api.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Sun Nov 11 2018 mokraemer <mokraemer> 3.0.4-2.mga6
+ Revision: 1329563
- recompile
- php7 backport packages
- import php7 packages for backport
- updated requirement

* Sun Sep 23 2018 umeabot <umeabot> 3.0.4-5.mga7
+ Revision: 1300231
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 mokraemer <mokraemer> 3.0.4-4.mga7
+ Revision: 1183956
- add igbinary support to memcache

* Tue Dec 19 2017 mokraemer <mokraemer> 3.0.4-3.mga7
+ Revision: 1183471
- enable json support

* Sun Dec 03 2017 mokraemer <mokraemer> 3.0.4-2.mga7
+ Revision: 1181026
+ rebuild (emptylog)

* Fri Nov 24 2017 mokraemer <mokraemer> 3.0.4-1.mga7
+ Revision: 1179060
- php-memcached update

* Tue Nov 21 2017 mokraemer <mokraemer> 3.0.3-2.mga7
+ Revision: 1178514
- missing requires
- obsoleting php-memcache

* Sun Nov 12 2017 zezinho <zezinho> 3.0.3-1.mga7
+ Revision: 1177094
- new version

* Tue Mar 07 2017 rapsys <rapsys> 2.2.0-2.mga6
+ Revision: 1089550
- Rebuild to avoid segfault after php update

* Fri Mar 11 2016 pterjan <pterjan> 2.2.0-1.mga6
+ Revision: 989146
- Fix build
+ oden <oden>
- 2.2.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-0.0.RC1.4.mga5
+ Revision: 741814
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-0.0.RC1.3.mga5
+ Revision: 687162
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2.2.0-0.0.RC1.2.mga5
+ Revision: 616573
- rebuilt for php-5.6.0beta1

* Fri Mar 14 2014 oden <oden> 2.2.0-0.0.RC1.1.mga5
+ Revision: 603469
- 2.2.0RC1

* Fri Jan 24 2014 pterjan <pterjan> 2.1.0-10.mga4
+ Revision: 567610
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2.1.0-9.mga4
+ Revision: 558468
- rebuilt for php-5.5.7

* Tue Nov 05 2013 fwang <fwang> 2.1.0-8.mga4
+ Revision: 549527
- fix build with libmemcached >= 1.0.17
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2.1.0-7.mga4
+ Revision: 442687
- rebuilt for php-5.5.0RC3

* Sun Jun 09 2013 colin <colin> 2.1.0-6.mga4
+ Revision: 441277
- Rebuild for php-5.5

* Wed Jan 30 2013 oden <oden> 2.1.0-5.mga3
+ Revision: 393310
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 375854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 2.1.0-3.mga3
+ Revision: 345778
- Rebuild for new PHP

* Mon Jan 07 2013 colin <colin> 2.1.0-2.mga3
+ Revision: 341116
- Rebuild for latest PHP

* Sun Sep 02 2012 fwang <fwang> 2.1.0-1.mga3
+ Revision: 287204
- new version 2.1.0

* Mon Jul 16 2012 colin <colin> 2.0.1-3.mga3
+ Revision: 271237
- Rebuild for new PHP

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2.0.1-2.mga2
+ Revision: 223916
- httpd restart is handled by filetriggers now

* Wed Mar 07 2012 colin <colin> 2.0.1-1.mga2
+ Revision: 220955
- New version: 2.0.1

* Sat Jan 14 2012 fwang <fwang> 1.0.2-9.mga2
+ Revision: 195918
- bump rel

* Sat Jan 14 2012 fwang <fwang> 1.0.2-8.mga2
+ Revision: 195906
- rebuild for new libmemcached

* Sun Jul 17 2011 fwang <fwang> 1.0.2-7.mga2
+ Revision: 125244
- rebuild for new libmemcached

* Sun Feb 06 2011 spuhler <spuhler> 1.0.2-6.mga1
+ Revision: 48114
- removed buildroot definition from .spec
- imported package php-memcached

